Security update for bash (critical)

2014-09-25T01:05:27
ID SUSE-SU-2014:1213-1
Type suse
Reporter Suse
Modified 2014-09-25T01:05:27

Description

bash has been updated to fix a critical security issue.

In some circumstances, the shell would evaluate shellcode in environment variables passed at startup time. This allowed code execution by local or remote attackers who could pass environment variables to bash scripts. (CVE-2014-6271)

Security Issues:

   * CVE-2014-6271
     <<a  rel="nofollow" href="http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-6271">http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-6271</a>>